# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> smeserver-koji

# Koji Setup Scripts

The purpose of these scripts it to enable setting up a koji environment quickly
with reasonable configurations.

These scripts have been borrowed from Clear Linux and modified to suit the smeserver (Koozali.org) setup.
Thanks to George T Kramer for doing a lot of the prework for these over at ClearLinux.

## Assumptions

* All scripts are run as the root user
* The root user has a password set
* These are run on a bare Rocky 8 minimal install
* Basic configurations (e.g. network, time, etc.) have been applied
* servers are contactable by DNS (or you've added them into the appropriate /etc/hosts files)
* Only one koji builder is required

## Getting Going

1. On the koji hub, copy these scripts into your ~/bin directory and make sure they are executeable

        mkdir -p ~/bin
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/gencert.sh > ~/bin/gencert.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/globals.sh > ~/bin/globals.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/parameters.sh > ~/bin/parameters.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji.sh > ~/bin/deploy-koji.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/bootstrap-build.sh > ~/bin/bootstrap-build.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-nfs-server.sh > ~/bin/deploy-koji-nfs-server.sh
        chmod a+x ~/bin/*.sh

1. Edit parameters.sh as needed. If running in a production environment, be sure to supply reasonable SSL certificate field values.

1. Run the required following scripts

        deploy-koji.sh
 
If koji builder machine is not the same as koji master machine:

1. On the koji master, run

        deploy-koji-nfs-server.sh

1. On the koji builder, copy over keys and parameters from the Hub 

        mkdir -p /etc/pki/koji
        scp root@<FQDN of koji hub>:/etc/pki/koji/<FQDN of builder>.pem /etc/pki/koji/.
        scp root@<FQDN of koji hub>:/etc/pki/koji/koji_ca_cert.crt /etc/pki/koji/.
        mkdir -p ~/bin
        scp root@<FQDN of koji hub>:/root/bin/globals.sh ~/bin/.
        scp root@<FQDN of koji hub>:/root/bin/parameters.sh ~/bin/.
        You will need to edir ~/bin/parameters.sh and change the KOJI_HUB_FQN to the correct value (NOT $(hostname -f))

1. On the koji builder, copy down the scripts needed and run

        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-nfs-client.sh > ~/bin/deploy-koji-nfs-client.sh
        curl https://src.koozali.org/smedev/smeserver-koji/raw/branch/master/koji-setup/deploy-koji-builder.sh > ~/bin/deploy-koji-builder.sh
        chmod a+x ~/bin/*.sh
        deploy-koji-nfs-client.sh
        deploy-koji-builder.sh

1. Return to the hub and run (this isn't right yet....)

        bootstrap-build.sh