#!/bin/bash
# Copyright (C) 2019 Intel Corporation
# SPDX-License-Identifier: Apache-2.0

## KOJI RPM BUILD AND TRACKER
export KOJI_DIR=/mnt/koji
export KOJI_HUB_FQDN="$(hostname -f)"
# Use master FQDN if a combined build and master server
#export KOJI_BUILD_FQDN="$KOJI_MASTER_FQDN"
# Build server FQDN if different from master
export KOJI_BUILD_FQDN="kojibuild1.koozali.org"
export KOJI_URL=http://"$KOJI_HUB_FQDN"
export KOJID_CAPACITY=16
export TAG_NAME=sme
# Use for koji SSL certificates
export COUNTRY_CODE='EX'
export STATE='Example'
export LOCATION='Example'
export ORGANIZATION='Koozali'
export ORG_UNIT='Koji'
# Use for importing existing RPMs
export RPM_ARCH='x86_64'
export SRC_RPM_DIR=
export BIN_RPM_DIR=
export DEBUG_RPM_DIR=
# Comment the following if supplying all RPMs as an upstream and not a downstream
export EXTERNAL_REPO=http://mirrorlist.centos.org/releases/10/smeos/

## POSTGRESQL DATABASE
export POSTGRES_DIR=/var/lib/pgsql

## GIT REPOSITORIES
export GIT_DIR=
export GIT_FQDN="https://src.koozali.org/"
export IS_ANONYMOUS_GIT_NEEDED=false
export GITOLITE_PUB_KEY=''

## UPSTREAMS CACHE
export UPSTREAMS_DIR=/srv/upstreams

